Monitoring::Livestatus::MULTI(3pm)

NAME
Monitoring::Livestatus::MULTI - connector with multiple peers

SYNOPSIS
    use Monitoring::Livestatus;
    my $nl = Monitoring::Livestatus::MULTI->new( qw{nagioshost1:9999 nagioshost2:9999 /var/spool/nagios/live.socket} );
    my $hosts = $nl->selectall_arrayref("GET hosts");

CONSTRUCTOR

  new ( [ARGS] )
Creates an "Monitoring::Livestatus::MULTI" object. "new" takes at least the server. Arguments are the same as in Monitoring::Livestatus.

METHODS

  do
See Monitoring::Livestatus for more information.

  selectall_arrayref
See Monitoring::Livestatus for more information.

  selectall_hashref
See Monitoring::Livestatus for more information.

  selectcol_arrayref
See Monitoring::Livestatus for more information.

  selectrow_array
See Monitoring::Livestatus for more information.

  selectrow_arrayref
See Monitoring::Livestatus for more information.

  selectrow_hashref
See Monitoring::Livestatus for more information.

  selectscalar_value
See Monitoring::Livestatus for more information.

  errors_are_fatal
See Monitoring::Livestatus for more information.

  warnings
See Monitoring::Livestatus for more information.

  verbose
See Monitoring::Livestatus for more information.

  peer_addr
See Monitoring::Livestatus for more information.

  peer_name
See Monitoring::Livestatus for more information.

  peer_key
See Monitoring::Livestatus for more information.

  disable
 $ml->disable()

disables this connection, returns the last state.

  enable
 $ml->enable()

enables this connection, returns the last state.

AUTHOR
Sven Nierlein, <nierlein@cpan.org>

COPYRIGHT AND LICENSE
Copyright (C) 2009 by Sven Nierlein

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself.